---
title: DOMTokenList.entries()
slug: Web/API/DOMTokenList/entries
tags:
  - DOM
  - DOMTokenList
  - Iterable
  - Method
  - Reference
  - Web
---
<div>{{APIRef("DOM")}}</div>

<p><span class="seoSummary">The <code><strong>DOMTokenList.entries()</strong></code> method returns an {{jsxref("Iteration_protocols",'iterator')}} allowing you to go through all key/value pairs contained in this object. The values are {{domxref("DOMString")}} objects, each representing a single token.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>tokenList</var>.entries();</pre>

<h3 id="Return_value">Return value</h3>

<p>Returns an {{jsxref("Iteration_protocols","iterator")}}.</p>

<h2 id="Examples">Examples</h2>

<p>In the following example we retrieve the list of classes set on a {{htmlelement("span")}} element as a <code>DOMTokenList</code> using {{domxref("Element.classList")}}. We when retrieve an iterator containing the key/value pairs using <code>entries()</code>, then iterate through each one using a {{jsxref("Statements/for...of", "for...of")}} loop, writing them to the <code>&lt;span&gt;</code>'s {{domxref("Node.textContent")}}.</p>

<p>First, the HTML:</p>

<pre class="brush: html notranslate">&lt;span class="a b c"&gt;&lt;/span&gt;</pre>

<p>Now the JavaScript:</p>

<pre class="brush: js notranslate">let span = document.querySelector("span");
let classes = span.classList;
let iterator = classes.entries();

for (let value of iterator) {
  span.textContent += value + ' ++ ';
}</pre>

<p>The output looks like this:</p>

<p>{{ EmbedLiveSample('Examples', '100%', 60) }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG','#domtokenlist','entries() (as iterable&lt;Node&gt;)')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.DOMTokenList.entries")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("DOMSettableTokenList")}} (object that extends DOMTokenList with settable <em>.value</em> property)</li>
</ul>
